package com.gic.haoban.manage.service.entity.fee;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业微信收费订单(TabHaobanQywxFeeOrder)实体类
 *
 * @author mozhu
 * @since 2022-08-03 16:12:32
 */
public class TabHaobanQywxFeeOrder implements Serializable {
    private static final long serialVersionUID = -71965900143069067L;

    private Long feeOrderId;
    /**
     * 企微订单id
     */
    private String orderId;

    private String corpId;

    private String wxEnterpriseId;
    /**
     * 订单类型，1：购买帐号，2：续期帐号，5:历史企业迁移订单
     */
    private Integer orderType;
    /**
     * 订单状态，0：待支付，1：已支付，2：已取消（未支付，订单已关闭）3：未支付，订单已过期，4：申请退款中，5：退款成功，6：退款被拒绝，7：订单已失效
     */
    private Integer orderStatus;
    /**
     * 订单金额，单位分
     */
    private BigDecimal price;
    /**
     * 基础帐号个数
     */
    private Integer baseCount;
    /**
     * 互通帐号个数
     */
    private Integer externalContactCount;
    /**
     * 购买的月数
     */
    private Integer months;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 支付时间
     */
    private Date payTime;


    public Long getFeeOrderId() {
        return feeOrderId;
    }

    public void setFeeOrderId(Long feeOrderId) {
        this.feeOrderId = feeOrderId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getBaseCount() {
        return baseCount;
    }

    public void setBaseCount(Integer baseCount) {
        this.baseCount = baseCount;
    }

    public Integer getExternalContactCount() {
        return externalContactCount;
    }

    public void setExternalContactCount(Integer externalContactCount) {
        this.externalContactCount = externalContactCount;
    }

    public Integer getMonths() {
        return months;
    }

    public void setMonths(Integer months) {
        this.months = months;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

}

